cURL
curl \
-X GET 'MEILISEARCH_URL/indexes?limit=3' \
-H 'Authorization: Bearer API_KEY'client.getIndexes({ limit: 3 })$client->getIndexes((new IndexesQuery())->setLimit(3));client.get_indexes({'limit': 3})IndexesQuery query = new IndexesQuery().setLimit(3);
client.getIndexes(query);client.indexes(limit: 3)client.GetIndexes(&meilisearch.IndexesQuery{
Limit: 3,
})await client.GetAllIndexesAsync(new IndexesQuery { Limit = 3 });let mut indexes = IndexesQuery::new(&client)
.with_limit(3)
.execute()
.await
.unwrap();await client.getIndexes(params: IndexesQuery(limit: 3));client.getIndexes { (result) in
switch result {
case .success(let indexes):
print(indexes)
case .failure(let error):
print(error)
}
}{
"results": [
{
"uid": "movies",
"primaryKey": "movie_id",
"createdAt": "2019-11-20T09:40:33.711324Z",
"updatedAt": "2019-11-20T09:40:33.711324Z"
}
],
"limit": 1,
"offset": 0,
"total": 1
}{
"message": "The Authorization header is missing. It must use the bearer authorization method.",
"code": "missing_authorization_header",
"type": "auth",
"link": "https://docs.meilisearch.com/errors#missing_authorization_header"
}Indexes
List all indexes
Returns a paginated list of indexes. Use the offset and limit query parameters to page through results.
GET
/
indexes
cURL
curl \
-X GET 'MEILISEARCH_URL/indexes?limit=3' \
-H 'Authorization: Bearer API_KEY'client.getIndexes({ limit: 3 })$client->getIndexes((new IndexesQuery())->setLimit(3));client.get_indexes({'limit': 3})IndexesQuery query = new IndexesQuery().setLimit(3);
client.getIndexes(query);client.indexes(limit: 3)client.GetIndexes(&meilisearch.IndexesQuery{
Limit: 3,
})await client.GetAllIndexesAsync(new IndexesQuery { Limit = 3 });let mut indexes = IndexesQuery::new(&client)
.with_limit(3)
.execute()
.await
.unwrap();await client.getIndexes(params: IndexesQuery(limit: 3));client.getIndexes { (result) in
switch result {
case .success(let indexes):
print(indexes)
case .failure(let error):
print(error)
}
}{
"results": [
{
"uid": "movies",
"primaryKey": "movie_id",
"createdAt": "2019-11-20T09:40:33.711324Z",
"updatedAt": "2019-11-20T09:40:33.711324Z"
}
],
"limit": 1,
"offset": 0,
"total": 1
}{
"message": "The Authorization header is missing. It must use the bearer authorization method.",
"code": "missing_authorization_header",
"type": "auth",
"link": "https://docs.meilisearch.com/errors#missing_authorization_header"
}Authorizations
An API key is a token that you provide when making API calls. Read more about how to secure your project.
Include the API key to the Authorization header, for instance:
-H 'Authorization: Bearer 6436fc5237b0d6e0d64253fbaac21d135012ecf1'
If you use a SDK, ensure you instantiate the client with the API key, for instance with JS SDK:
const client = new MeiliSearch({
host: 'MEILISEARCH_URL',
apiKey: '6436fc5237b0d6e0d64253fbaac21d135012ecf1'
});
Query Parameters
The number of indexes to skip before starting to retrieve anything.
Required range:
x >= 0The number of indexes to retrieve.
Required range:
x >= 0Response
Returns the list of indexes with pagination metadata.
Items for the current page.
Show child attributes
Show child attributes
Number of items skipped.
Required range:
x >= 0Maximum number of items returned.
Required range:
x >= 0Total number of items matching the query.
Required range:
x >= 0Was this page helpful?